Submit a ticketCall us

Cloud Workloads: Meet Your New Hybrid IT Reality
Have you found yourself in that evolving, hybrid IT grey area and wondering if cloud workloads are now part of your purview? And if so, will monitoring cloud workloads require a new set of dedicated cloud monitoring tools? Your answers: yes, they should be, and no, they don’t.

Find out how SolarWinds® Server & Application Monitor (SAM) can help you monitor your cloud workloads side by side with your on-premises workloads. Register Now.

Home > Success Center > Netflow Traffic Analyzer (NTA) > NTA 4.2.3 Administrator Guide > Upgrade SolarWinds NTA > Upgrade paths and compatibility

Upgrade paths and compatibility

Table of contents

SolarWinds NTA versions are compatible with specific versions of SolarWinds NPM.

To upgrade your SolarWinds NTA to the latest version, use the following upgrade path:

  • NTA 3.7 ⇒ NTA 3.9 ⇒ NTA 3.11 ⇒ NTA 4.x

We recommend using the Product Upgrade Advisor to determine your upgrade path for a single or multi-module environment.

Note that versions 3.7 and 3.9 are no longer supported.

Compatibility table

  NPM
10.4.2/
Orion Platform
2012.2.x
NPM
10.5.x/
Orion Platform
2013.1.x
NPM
10.6.x/
Orion Platform
2013.2.x
NPM
10.7.x/
Orion Platform
2014.1.x
NPM
11.0.x/
Orion Platform
2014.2.x
NPM
11.5.x/
Orion Platform
2015.2.x
NPM
12.0.x/
Orion Platform
2016.x>
NPM 12.1/Orion Platform 2017.1
NTA 3.11
NTA 4.0.x        
NTA 4.1            
NTA 4.1.1            
NTA 4.1.2            
NTA 4.2            
NTA 4.2.1            
NTA 4.2.2              

Notes

  • If a primary poller is running on a 64-bit operating system, all pollers must be 64-bit also.
  • SolarWinds NTA 4.0.x is the last version supporting 32-bit operating systems.
  • You cannot upgrade SolarWinds NTA to use a different locale. SolarWinds NTA uses locale settings of the underlying SolarWinds NPM installation. If you want to change the locale settings, you must install SolarWinds NPM using the appropriate locale, and then install SolarWinds NTA.
  • SolarWinds does not currently support upgrades from one locale to another. If you want to upgrade your SolarWinds installation to use a new locale, you must complete a clean SolarWinds installation using the new locale.
  • While it is being upgraded, your Orion polling engine temporarily shuts down which may result in polling data loss. SolarWinds recommends that you perform upgrades during off-peak hours of network usage to minimize the impact of this temporary polling stoppage.
  • Discovery profiles from older SolarWinds NPM versions are not retained through upgrades. If you want to retain a discovery profile, prior to starting your upgrade, externally record the configuration of the profiles you want to retain.

 

 
Last modified

Tags

Classifications

Public